Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBPendingMessage

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBPendingMessage

All Implemented Interfaces:
  DeleteListener, EventListener

public final class DBPendingMessage
extends DBBase
implements DeleteListener

Inner Class Summary
`class` | `DBPendingMessage.Row`
`class` | `DBPendingMessage.Systems`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`int` | `activeSystemsCount()`
`void` | `addSystem(DBSystem.Row system)`
`void` | `backup(DataOutputStream dos)`
`void` | `badActiveSystem()`
`DBPendingMessage.Row` | `create(DBSession.Row session, DBSystem.Row system, ESDO esdo, boolean lastMsg)`
`DBPendingMessage.Row` | `create(DBSession.Row session, DBSystem.Row system, String message, boolean lastMsg)`
`DBRow` | `createObj(ResultSet rs)`
`void` | `createTable()`
`void` | `deleteEvent(DeleteEvent deleteEvent)`
`DBSystem.Row` | `destination(DBSystem.Row system)`
`void` | `dropActiveSystem()`
`List` | `get(DBSession.Row session)`
`List` | `get(DBSystem.Row system)`
`DBPendingMessage.Row` | `get(long pendingId)`
`DBSystem.Row` | `getActiveSystem()`
`List` | `getApplications(DBUser.Row user)`
`long` | `getMaxPendingId()`
`Integer` | `getMessageCount(DBApplication.Row application, DBSystem.Row system, DBUser.Row user)`
`DBPendingMessage.Row` | `getNext()`
`List` | `getPendingRowList(DBUser.Row user, DBQOrderMungeColumn domc, DBQList qList)`
`List` | `getUrls(DBUser.Row user)`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `tableName()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### deleteEvent

    public void deleteEvent(DeleteEvent deleteEvent)
                     throws Exception

  Specified by:
    `deleteEvent` in interface `DeleteListener`

### create

    public DBPendingMessage.Row create(DBSession.Row session,
                                       DBSystem.Row system,
                                       ESDO esdo,
                                       boolean lastMsg)
                                throws Exception

### create

    public DBPendingMessage.Row create(DBSession.Row session,
                                       DBSystem.Row system,
                                       String message,
                                       boolean lastMsg)
                                throws Exception

### getPendingRowList

    public List getPendingRowList(DBUser.Row user,
                                  DBQOrderMungeColumn domc,
                                  DBQList qList)
                           throws Exception

### getMessageCount

    public Integer getMessageCount(DBApplication.Row application,
                                   DBSystem.Row system,
                                   DBUser.Row user)
                            throws Exception

### getMaxPendingId

    public long getMaxPendingId()
                         throws Exception

### getUrls

    public List getUrls(DBUser.Row user)
                 throws Exception

### getApplications

    public List getApplications(DBUser.Row user)
                         throws Exception

### destination

    public DBSystem.Row destination(DBSystem.Row system)

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### get

    public List get(DBSession.Row session)
             throws Exception

### get

    public DBPendingMessage.Row get(long pendingId)
                             throws Exception

### get

    public List get(DBSystem.Row system)
             throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

### activeSystemsCount

    public int activeSystemsCount()

### getNext

    public DBPendingMessage.Row getNext()
                                 throws Exception

### getActiveSystem

    public DBSystem.Row getActiveSystem()
                                 throws Exception

### addSystem

    public void addSystem(DBSystem.Row system)
                   throws Exception

### badActiveSystem

    public void badActiveSystem()
                         throws Exception

### dropActiveSystem

    public void dropActiveSystem()
                          throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD